From 63c6c2c83eb052f5e62e6816bea6b1690b4c37ec Mon Sep 17 00:00:00 2001
From: Kevin Wolf <kwolf@redhat.com>
Date: Thu, 20 Mar 2014 10:59:23 +0100
Subject: [PATCH 180/212] configure: Fix bugs preventing Ceph inclusion

RH-Author: Kevin Wolf <kwolf@redhat.com>
Message-id: <1395313163-1002-1-git-send-email-kwolf@redhat.com>
Patchwork-id: 58164
O-Subject: [RHEL-7.0 qemu-kvm PATCH] configure: Fix bugs preventing Ceph inclusion
Bugzilla: 1078809
RH-Acked-by: Fam Zheng <famz@redhat.com>
RH-Acked-by: Miroslav Rezanina <mrezanin@redhat.com>
RH-Acked-by: Ademar de Souza Reis Jr. <areis@redhat.com>

Bugzilla: https://bugzilla.redhat.com/show_bug.cgi?id=1078809
Brew: http://brewweb.devel.redhat.com/brew/taskinfo?taskID=7230126
Upstream status: Fix for downstream-only code

CONFIG_CEPH_SUPPORT=y never really ended up being set, neither by
default nor with an explicit --enable-ceph-support.

Signed-off-by: Kevin Wolf <kwolf@redhat.com>
---
 configure | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

Signed-off-by: Miroslav Rezanina <mrezanin@redhat.com>
---
 configure |    6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

diff --git a/configure b/configure
index e43cf86..cea127c 100755
--- a/configure
+++ b/configure
@@ -1131,9 +1131,9 @@ for opt do
   ;;
   --enable-live-block-migration) live_block_migration="yes"
   ;;
-  --disable-ceph-support) ceph_support=="no"
+  --disable-ceph-support) ceph_support="no"
   ;;
-  --enable-ceph-support) ceph_support=="yes"
+  --enable-ceph-support) ceph_support="yes"
   ;;
   *)
       echo "ERROR: unknown option $opt"
@@ -4700,7 +4700,7 @@ if test "$live_block_migration" = "yes" ; then
   echo "CONFIG_LIVE_BLOCK_MIGRATION=y" >> $config_host_mak
 fi
 
-if test "ceph_support" = "yes"; then
+if test "$ceph_support" = "yes"; then
   echo "CONFIG_CEPH_SUPPORT=y" >> $config_host_mak
 fi
 
-- 
1.7.1

